###############################################################################
###############################################################################
##
##  Copyright (C) 2007 Asianux Project.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

%define dist AX
%define rhel 5

Source10: kmodtool2
%define kmodtool bash %{SOURCE10}
%{!?kversion: %define kversion 2.6.18-128.7AXS3}

%define kmod_name ntfs
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 x86_64 ia64
%define xenvar xen
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch ppc64 ppc64iseries
%define kdumpvar kdump
%endif

%{!?kvariants: %define kvariants %{?upvar} %{?paevar} %{?xenvar} %{?smpvar} %{?kdumpvar}}

Name:           %{kmod_name}-kmod
Version:        1.0
Release:        7.%(echo %{kverrel} | tr - _)
Summary:        %{kmod_name} kernel module

Group:          System Environment/Kernel
License:        GPL
Source0:        ntfs-2.6.18.tar.bz2
Patch1:		external-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64 ppc64 ia64 sparc sparc64 s390x

%description
ntfs - NTFS file system

# magic hidden here:
# NOTE: these two extra defines will not be necessary in future.
%define kmp_version %{version}
%define kmp_release %{release}
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate_kmp %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
%patch1 -p1
for kvariant in %{kvariants} ; do
    cp -a ntfs-2.6.18 _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules M=$PWD %{?_smp_mflags}
    popd
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules_install M=$PWD
    popd
done

# Temporarily executable for stripping, fixed later in %%files.
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Jun 22 2009 <ax-kernel@asianux.com> - 1.0.7
- Re-build for new kernel (2.6.18-128.7AXS3)

* Wed Jun 03 2009 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-128.6AXS3)

* Thu May 14 2009 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-128.5AXS3)

* Tue Mar 24 2009 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-128.2AXS3)

* Mon Mar  9 2009 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.21AXS3)

* Mon Jan 14 2009 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.19AXS3)

* Mon Jan 12 2009 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.18AXS3)

* Mon Jan  5 2009 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.17AXS3)

* Thu Dec  2 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.16AXS3)

* Thu Nov 20 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.15AXS3)

* Tue Nov 18 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.14AXS3)

* Mon Oct 27 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.13AXS3)

* Fri Oct  3 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.12AXS3)

* Wed Aug 20 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.11AXS3)

* Wed Jul 30 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel (2.6.18-53.10AXS3)

* Mon Jul 7 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel

* Thu Jul 3 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel

* Wed May 21 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel

* Wed Apr 2 2008 <ax-kernel@asianux.com> - 1.0-7
- Modify require version of kernel to 2.6.18-53...
- Re-build for new kernel

* Mon Mar 17 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel

* Tue Mar  4 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel

* Fri Feb 15 2008 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel

* Thu Nov 29 2007 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel

* Fri Sep 14 2007 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel

* Tue Aug 14 2007 <ax-kernel@asianux.com> - 1.0-7
- Re-build for new kernel

* Tue Jul 31 2007 <ax-kernel@asianux.com> - 1.0-6
- Re-build for new kernel

* Tue Jul 17 2007 <ax-kernel@asianux.com> - 1.0-5
- Re-build for new kernel

* Tue Jul 3  2007 <ax-kernel@asianux.com> - 1.0-4
- Re-build for new kernel

* Tue Jun 19 2007 <ax-kernel@asianux.com> - 1.0-3
- Re-build for new kernel

* Sun May 27 2007 <ax-kernel@asianux.com> - 1.0-2
- Re-build for new kernel

* Wed May 16 2007 <ax-kernel@asianux.com> - 1.0-1
- Initial Build
